Package com.emc.d2fs.interfaces

# Interface ICreationService

All Superinterfaces:
  `ID2fsService`

public interface ICreationService extends ID2fsService
Service used for document creation process

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `applyVdTemplate(Context context, List<Attribute> parameters)`
  Apply VD template to document
  `String`
  `createProperties(Context context, List<Attribute> parameters)`
  Create document properties
  `ConvertStructureConfig`
  `getConvertStructureConfig(Context context, String id)`
  Get the convert folder structure to VD config based on folder.
  `List<Template>`
  `getFilteredTemplates(Context context, String id, String filter, String filterPropName)`
  Get filtered list of templates
  `List<ImportStructureConfig>`
  `getImportStructureConfigs(Context context, List<Attribute> parameters)`
  Get the import structure configs for user.
  `List<Option>`
  `getTemplateFilterOptions(Context context)`
  Get property names for Template filter combo box
  `List<Template>`
  `getTemplates(Context context, String id)`
  Get all available templates
  `int[]`
  `getUIMaxSize(Context context, String configName, String mode, String inheritedId, String contentId)`
  Get the size of the largest property page a user should get when creating/importing a document.
  `List<Template>`
  `getVDTemplates(Context context, String id, List<Attribute> parameters)`
  Get all available virtual documents templates config.
  `boolean`
  `hasAnyAttachments(Context context, String id)`
  Check if Documentum object is a mail and has attachments.
  `boolean`
  `hasAttachments(Context context, String id)`
  Check if Documentum object is a mail and has attachments.
  `boolean`
  `isAFolderOrACabinet(Context context, List<Attribute> parameters)`
  Check if the type in parameter is a folder or a a cabinet.
  `boolean`
  `isNoContentAuthorized(Context context, String id)`
  Check if document without content is authorized
  `boolean`
  `isNoCreationProfile(Context context, List<Attribute> parameters)`
  Check if creation profile are available
  `boolean`
  `removeAttachments(Context context, String id)`
  Remove attachments.
  `String`
  `setTemplate(Context context, List<Attribute> parameters)`
  Set template to document

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### createProperties

    String createProperties(Context context, List<Attribute> parameters) throws Exception
    Create document properties
    Parameters:
      `context` - `Context` object containing informations about client/session
      `parameters` - `Attribute` list of properties
      - r_object_type: DF_STRING - Type of object to create
      - contentId: DF_ID - (optional) Id of container to link new object
      - object_name: DF_STRING - Name of new object
      - mode: DF_STRING - Mode {"create"(default), "import"}
      - start_version: DF_STRING - Starting version label(s) separated by ","
      - inheritance_properties: DF_BOOLEAN - Control attribute inheritance
      - inheritance_content: DF_BOOLEAN - Control content inheritance
      - inheritance_vd: DF_BOOLEAN - Control vd inheritance
      - block_inheritance_mod: DF_BOOLEAN - Block Inheritance Modification
      - uploadFile: DF_STRING - Import file name
      - attr_inheritance: DF_STRING - Inheritance configuration name
      - default_value: DF_STRING - Default value configuration name
      - linkedDocument: DF_BOOLEAN - Control application of default values and linking
      - silentLinkedDocument: DF_BOOLEAN - Control application of default values and linking
      - inheritedId: DF_ID, Id of object from which to inherit
      - attachment_type: DF_STRING - Content type of mail attachments
      - attachment_name: DF_STRING - Name of attachment
      - property_config: DF_STRING - Property configuration name.
      - list: DF_STRING - String containing a list of attribute names to be set(separated by AttributeUtils.SEPARATOR_VALUE)
    Returns:
      String value of process result
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### setTemplate

    String setTemplate(Context context, List<Attribute> parameters) throws Exception
    Set template to document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `parameters` - `Attribute` list of template parameters with document id
      - template: DF_STRING - Template name
      - contentId: DF_ID - (optional) Id of link location
    Returns:
      String value of process result
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### applyVdTemplate

    String applyVdTemplate(Context context, List<Attribute> parameters) throws Exception
    Apply VD template to document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `parameters` - `Attribute` list of template parameters with document id
      - template: DF_STRING - Template name
      - contentId: DF_ID - (optional) Id of link location
    Returns:
      String value of process result
    Throws:
      `Exception`
    Since:
      4.2.1

  - ### getTemplates

    List<Template> getTemplates(Context context, String id) throws Exception
    Get all available templates
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of new document id
    Returns:
      `Template` list
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getTemplateFilterOptions

    List<Option> getTemplateFilterOptions(Context context) throws Exception
    Get property names for Template filter combo box
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      `String` list
    Throws:
      `Exception`
    Since:
      4.8

  - ### getFilteredTemplates

    List<Template> getFilteredTemplates(Context context, String id, String filter, String filterPropName) throws Exception
    Get filtered list of templates
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of parent document id
      `filter` - String value used to filter result set
      `filterPropName` - String value of attribute name used to filter result set
    Returns:
      `Template` list
    Throws:
      `Exception`
    Since:
      4.8

  - ### getVDTemplates

    List<Template> getVDTemplates(Context context, String id, List<Attribute> parameters) throws Exception
    Get all available virtual documents templates config.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of new document id
      `parameters` - `Attribute` list of properties
    Returns:
      `Template` list
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### isNoContentAuthorized

    boolean isNoContentAuthorized(Context context, String id) throws Exception
    Check if document without content is authorized
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of new document id
    Returns:
      true if empty document is allowed
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### isNoCreationProfile

    boolean isNoCreationProfile(Context context, List<Attribute> parameters) throws Exception
    Check if creation profile are available
    Parameters:
      `context` - `Context` object containing informations about client/session
      `parameters` - `Attribute` list of properties
      - mode: DF_STRING, Mode {"create", "import"}
    Returns:
      true if no creation profile available
    Throws:
      `Exception`
    Since:
      4.2.0

  - ### isAFolderOrACabinet

    boolean isAFolderOrACabinet(Context context, List<Attribute> parameters) throws Exception
    Check if the type in parameter is a folder or a a cabinet.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `parameters` - `Attribute` list of properties
      - r_object_type
    Returns:
      true if the type is a cabinet or a folder.
    Throws:
      `Exception`
    Since:
      4.2.1

  - ### getUIMaxSize

    int[] getUIMaxSize(Context context, String configName, String mode, String inheritedId, String contentId) throws Exception
    Get the size of the largest property page a user should get when creating/importing a document. This is for UI purpose
    Parameters:
      `context` - `Context` object containing informations about client/session
      `configName` - : the configName to force ( or null )
      `mode` - : create or import
      `inheritedId` - : the id of the inherited object
      `contentId` - : the id of the parent folder
    Returns:
      an array of 2 integer : [width,height]
    Throws:
      `Exception`
    Since:
      4.1.0

  - ### hasAttachments

    boolean hasAttachments(Context context, String id) throws Exception
    Check if Documentum object is a mail and has attachments.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - Documentm object id
    Returns:
      Documentum object is a mail and has document attachments
    Throws:
      `Exception`
    Since:
      4.2.0

  - ### hasAnyAttachments

    boolean hasAnyAttachments(Context context, String id) throws Exception
    Check if Documentum object is a mail and has attachments.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - Documentm object id
    Returns:
      Documentum object is a mail and has attachments.
    Throws:
      `Exception`
    Since:
      4.2.0

  - ### removeAttachments

    boolean removeAttachments(Context context, String id) throws Exception
    Remove attachments.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - Documentm object id
    Returns:
      Documentum object is a mail and has attachments removed.
    Throws:
      `Exception`
    Since:
      4.2.0

  - ### getImportStructureConfigs

    List<ImportStructureConfig> getImportStructureConfigs(Context context, List<Attribute> parameters) throws Exception
    Get the import structure configs for user.
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      a list of import structure config
    Throws:
      `Exception`
    Since:
      4.2.1

  - ### getConvertStructureConfig

    ConvertStructureConfig getConvertStructureConfig(Context context, String id) throws Exception
    Get the convert folder structure to VD config based on folder.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - of the folder
    Returns:
      a convert structure config
    Throws:
      `Exception`
    Since:
      4.2.1